From: Dorota Czaplejewicz <gihuac.dcz@porcupinefactory.org>
Date: Sun, 31 Jan 2021 10:07:04 +0000
Subject: s5k3l6xx: Turn low res mode from binning into cropping

---
 drivers/media/i2c/s5k3l6xx.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index cd1ec42..60ff793 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -293,7 +293,7 @@ static const u16 sensor_3l6_setfile_A_4128x3096_30fps[] = {
        0x034A, 0x0C2B, 0x02,
        0x034C, 0x1020, 0x02,
        0x034E, 0x0C18, 0x02,
-       0x0202, 0x03DE, 0x02,
+       0x0202, 0x03DE, 0x02,  // coarse_integration_time
        0x3400, 0x0000, 0x02,
        0x3402, 0x4E42, 0x02,
        0x0136, 0x1A00, 0x02,
@@ -368,8 +368,10 @@ static const u16 sensor_3l6_setfile_B_2064x1160_30fps[] = {
 	0x0340, 0x0CC1, 0x02, // frame_length_lines = 3265?? 2105 lines of blanking
 	// presumes 480MHz pixel clock for 30fps
 	// end pllinfo part
-	0x0900, 0x0122, 0x02, // binning enable, 2:2
-	0x0386, 0x0003, 0x02, // y_odd_inc
+	//0x0900, 0x0122, 0x02, // binning enable, 2:2
+	//0x0386, 0x0003, 0x02, // y_odd_inc
+	0x0900, 0x0000, 0x02, // no binning (normal)
+
 	0x3452, 0x0000, 0x02,
 	0x345A, 0x0000, 0x02,
 	0x345C, 0x0000, 0x02,
